#
# This is the SPEC file for creating binary and source RPMs for the VMs.
#
#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2013  Joanna Rutkowska <joanna@invisiblethingslab.com>
# Copyright (C) 2014  Wojciech Porczyk <wojciech@porczyk.eu>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#


Name:		qubes-img-converter
Version:	1.2.6
Release:	1%{dist}
Summary:	The Qubes service for converting untrusted images into trusted ones

Group:		Qubes
Vendor:		Invisible Things Lab
License:	GPL
URL:		http://www.qubes-os.org

Requires:	qubes-utils
Requires:	nautilus-python
Requires:	python2-qubesimgconverter


Source0: %{name}-%{version}.tar.gz

%description
The Qubes service for converting untrusted images into trusted ones.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
make install-vm DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/bin/qvm-convert-img
/usr/lib/qubes/qvm-convert-img.gnome
%{_mandir}/man1/qvm-convert-img.1*
/usr/lib/qubes/qimg-convert-client
/usr/share/nautilus-python/extensions/qvm_convert_img_nautilus.py*

%changelog
* Fri Mar 22 2019 Qubes OS Team <qubes-devel@groups.google.com>
- For complete changelog see: https://github.com/QubesOS/qubes-app-linux-img-converter

* Fri Mar 22 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0c6e5c3
- version 1.2.6

* Tue Oct 16 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 63f3494
- travis: update Fedora and Debian versions

* Tue Oct 16 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cc995cd
- rpm: add R: python2-qubesimgconverter

* Sat Oct 13 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3331a88
- debian: don't create orig.tar.gz manually

* Mon May 07 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d1af94c
- version 1.2.5

* Mon May 07 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a17b98b
- Switch dependencies of dom0 package to Qubes 4.x

* Mon May 07 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 30218d1
- Make qvm-get-image compatible with both Qubes 3 and 4

* Fri May 04 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fa71e86
- Merge remote-tracking branch 'qubesos/pr/4' into r4

* Thu Apr 05 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - afe2130
- travis: add fc27

* Tue Apr 03 2018 Frédéric Pierret <frederic.epitre@orange.fr> - fbb9295
- spec.in: add changelog placeholder

* Sat Mar 17 2018 Patrizio Tufarolo <patriziotufarolo@gmail.com> - 92a3c70
- removed useless check against domains argument in argumentparser

* Sat Mar 17 2018 Patrizio Tufarolo <patriziotufarolo@gmail.com> - 01c3d1c
- Replaced print to stderr with parser.error

* Sat Mar 17 2018 Patrizio Tufarolo <patriziotufarolo@gmail.com> - 8477dbc
- Fixed qvm-get-tinted-image for Qubes 4

* Sun Mar 11 2018 Patrizio Tufarolo <patriziotufarolo@gmail.com> - dbda94d
- Fixed qvm-get-image for Qubes 4

* Mon Jan 29 2018 Frédéric Pierret <frederic.epitre@orange.fr> - 5ffd3f1
- Create .spec.in and Source0

* Sat Dec 23 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0ba1126
- version 1.2.4

* Fri Dec 22 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f4a7bbe
- travis: update distributions list

* Fri Dec 22 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b4bb6c7
- Update module name for Qubes 4.0

* Wed Dec 21 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 851e4f0
- version 1.2.3

* Tue Dec 20 2016 Nicklaus McClendon <nicklaus@kulinacs.com> - 004bc7b
- Removed .travis.yml bootstrap fix

* Tue Dec 20 2016 Nicklaus McClendon <nicklaus@kulinacs.com> - 1d757ce
- Updated manpage to have correct binary name

* Sun Jul 17 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 11dc114
- version 1.2.2

* Sun Jul 17 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b6b087d
- debian: adjust package name

* Sun Jul 17 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ea111d6
- version 1.2.1

* Wed Jun 01 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2b12c15
- travis: initial version

* Wed Jun 01 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ef1dee1
- debian: disable build step - nothing to build here

* Wed Jun 01 2016 unman <unman@thirdeyesecurity.org> - 04d6d8e
- Removed otiose debian/files

* Sat May 28 2016 unman <unman@thirdeyesecurity.org> - 25a2486
- v1.2.0 - fixed up paths, debian build

* Mon May 18 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 52dfc06
- version 1.1.1

* Mon May 18 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f8fb75f
- Removed nautilus-actions depend and replaced with nautilus-python

* Mon May 18 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8ca8955
- Move files installation from rpm spec to Makefile

* Mon May 18 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e697462
- gitignore pkgs

* Mon Sep 22 2014 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e78680f
- version 1.1.0

* Tue May 27 2014 Wojciech Zygmunt Porczyk <wojciech@porczyk.eu> - 63a0c13
- major overhaul

* Thu Nov 14 2013 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e1d11d8
- rpm: remove non-existing files reference from spec file

* Thu Nov 14 2013 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a0b4d56
- rpm: package *.py[co] files

* Thu Nov 14 2013 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 454fba9
- Fix spec names in Makefile.builder

* Tue Nov 12 2013 Wojciech Porczyk <wojciech@porczyk.eu> - 3af00e9
- Initial commit

